Subject: Re: [PATCH v8 1/2] media: dt-bindings: Add CSI Pixel Formatter DT bindings

From: Krzysztof Kozlowski <[email-masked]>
Date: Wed, 27 May 2026 11:39:50 +0200

On 27/05/2026 11:37, Krzysztof Kozlowski wrote:
> On 26/05/2026 11:44, Laurent Pinchart wrote:
>>>> +  - |
>>>> +    #include <dt-bindings/clock/nxp,imx95-clock.h>
>>>> +
>>>> +    syscon@4ac10000 {
>>>> +        compatible = "nxp,imx95-camera-csr", "syscon";
>>>
>>> Drop entire node, not relevant. Or actually this example could be in the
>>> parent binding example.
>>
>> I asked for this in the review of a previous version. The example only
>> stated "formatter@20" and it was not mentioned anywhere that the device
>> was supposed to be a child node of a syscon. The driver reads the reg
> 
> Binding does not have to state that. Parent's device binding will state
> that.
> 
>> property and uses it as an offset to the regmap of the syscon, I wanted
>> to see where/how the node was meant to be integrated in DT.
> 
> Sure, parent's device schema should have complete example. But we never
> add the parent compatibles to the child schema - that's leading to
> additional work later with no real benefits (that's only example, so no
> real code except maintenance effort).
> 

I forgot: and Rob's bot warning is an actual proof of that.

Best regards,
Krzysztof